This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 818280 - 'yum localupdate' in RHEL6 requires full path
'yum localupdate' in RHEL6 requires full path
Status: CLOSED DUPLICATE of bug 746190
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
: 810117 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 11:51 EDT by Calvin Locklear
Modified: 2014-01-21 01:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 05:32:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Calvin Locklear 2012-05-02 11:51:52 EDT
Description of problem:
'yum localupdate' in RHEL6 requires full path.  However, in RHEL5, 'yum localupdate' did not require the full path.  Could the behaviour be changed in RHEL6 to the way it is in RHEL5?

Version-Release number of selected component (if applicable):
rpm-4.8.0-12.el6.x86_64
yum-3.2.29-22.el6_2.2.noarch

How reproducible:
Download updates to a folder in RHEL6.  Attempt to yum update from the folder using 'yum localupdate *.rpm'.   

Steps to Reproduce:
1. Download updates to a folder.
2. Navigate to that folder.
3. Run this command 'yum localupdate *.rpm'
  
Actual results:
System does not get updated and the following error occurs:

TypeError: an integer is required
error: python callback <bound method RPMTransaction.callback of <yum.rpmtrans.RPMTransaction instance at 0x3e8f290>> failed, aborting!

Expected results:
Packages should get updated to the versions that are in the folder.


Additional info:

1. Proposed title of this feature request
Change behaviour of 'yum localupdate' to not require the full path.

2. Who is the customer behind the request?
Account name: Momentum
Customer segment:
TAM/SRM customer: no
Strategic Customer yes/no: no


3. What is the nature and description of the request?
When using 'yum localupdate' to update in RHEL6, you are required to use the full path.  In RHEL5, 'yum localupdate' does not require the full path.  Customer would like for the behaviour in RHEL6 to be the same as RHEL5.

4. Why does the customer need this? (List the business requirements here)
Customer's servers are behind firewall which limit our access to RedHat Network and we are required to download update first and then do local update at a later time.

5. How would the customer like to achieve this? (List the functional
requirements here)
'yum localupdate' with a relative path should work as before in RHEL 5.

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.
Be able to update the system, using 'yum localupdate' and relative path.


7. Is there already an existing RFE upstream or in Red Hat bugzilla?
https://bugzilla.redhat.com/show_bug.cgi?id=652702

8. Does the customer have any specific timeline dependencies?
Within one month will be better.

9. Is the sales team involved in this request and do they have any additional input?
no

10. List any affected packages or components.
rpm-4.8.0-12.el6.x86_64
yum-3.2.29-22.el6_2.2.noarch

11. Would the customer be able to assist in testing this functionality if
implemented?
Will be able to assist in testing.
Comment 2 Phil Knirsch 2012-05-03 02:54:48 EDT
*** Bug 810117 has been marked as a duplicate of this bug. ***
Comment 3 Phil Knirsch 2012-05-04 05:32:09 EDT

*** This bug has been marked as a duplicate of bug 746190 ***

Note You need to log in before you can comment on or make changes to this bug.